using Test
using ChunkedJSONL
using Aqua

Threads.nthreads() == 1 && @warn "Running tests with a single thread -- won't be able to spot concurrency issues"

@testset "ChunkedJSONL.jl" begin
    Aqua.test_all(ChunkedJSONL, ambiguities=false)
    include("basic_tests.jl")
    include("exception_handling.jl")
end

#=
using Coverage
using ChunkedJSONL
pkg_path = pkgdir(ChunkedJSONL);
coverage = process_folder(joinpath(pkg_path, "src"));
open(joinpath(pkg_path, "lcov.info"), "w") do io
    LCOV.write(io, coverage)
end;
covered_lines, total_lines = get_summary(coverage);
println("Coverage: $(round(100 * covered_lines / total_lines, digits=2))%");
run(`find $pkg_path -name "*.cov" -type f -delete`);
=#
